/***************************************************************
 * Name:      DialogosMain.h
 * Purpose:   Defines Application Frame
 * Author:    Armando L N Delgado (arluidel@gmail.com)
 * Created:   2017-09-01
 * Copyright: Armando L N Delgado (http://www.inf.ufpr.br/nicolui)
 * License:
 **************************************************************/

#ifndef DIALOGOSMAIN_H
#define DIALOGOSMAIN_H

//(*Headers(DialogosDialog)
#include <wx/dialog.h>
#include <wx/sizer.h>
#include <wx/button.h>
#include <wx/filedlg.h>
#include <wx/textctrl.h>
//*)

class DialogosDialog: public wxDialog
{
    public:

        DialogosDialog(wxWindow* parent,wxWindowID id = -1);
        virtual ~DialogosDialog();
        friend void limpaEntrada(DialogosDialog *dialogo);
        friend void limpaSaida(DialogosDialog *dialogo);
        friend void SetEntrada(DialogosDialog *dialogo);
        friend void SetSaida(DialogosDialog *dialogo);

    private:

        //(*Handlers(DialogosDialog)
        void OnTextCtrl1Text(wxCommandEvent& event);
        void OnTextCtrl2Text(wxCommandEvent& event);
        void OnButton3Click(wxCommandEvent& event);
        void OnListBox1Select(wxCommandEvent& event);
        void OnTextCtrl6Text(wxCommandEvent& event);
        void OnTextCtrl7Text(wxCommandEvent& event);
        void OnButton5Click(wxCommandEvent& event);
        void OnTextCtrl12Text(wxCommandEvent& event);
        void OnTextCtrl10Text(wxCommandEvent& event);
        void OnTextCtrl11Text(wxCommandEvent& event);
        void OnTextCtrl9Text(wxCommandEvent& event);
        void OnTextCtrl8Text(wxCommandEvent& event);
        void OnButton1Click(wxCommandEvent& event);
        void OnButton2Click(wxCommandEvent& event);
        void OnButton4Click(wxCommandEvent& event);
        void OnButton6Click(wxCommandEvent& event);
        void OnTextCtrl5Text(wxCommandEvent& event);
        void OnTextCtrl12Text1(wxCommandEvent& event);
        //*)

        //(*Identifiers(DialogosDialog)
        static const long ID_TEXTCTRL12;
        static const long ID_TEXTCTRL6;
        static const long ID_TEXTCTRL7;
        static const long ID_TEXTCTRL10;
        static const long ID_TEXTCTRL11;
        static const long ID_TEXTCTRL9;
        static const long ID_TEXTCTRL8;
        static const long ID_TEXTCTRL1;
        static const long ID_BUTTON6;
        static const long ID_BUTTON4;
        static const long ID_BUTTON1;
        static const long ID_BUTTON3;
        static const long ID_TEXTCTRL2;
        static const long ID_TEXTCTRL3;
        static const long ID_TEXTCTRL4;
        static const long ID_TEXTCTRL5;
        static const long ID_TEXTCTRL13;
        static const long ID_TEXTCTRL14;
        static const long ID_TEXTCTRL15;
        static const long ID_BUTTON2;
        static const long ID_BUTTON5;
        //*)

        //(*Declarations(DialogosDialog)
        wxStaticBoxSizer* StaticBoxSizer17;
        wxStaticBoxSizer* StaticBoxSizer2;
        wxStaticBoxSizer* StaticBoxSizer10;
        wxTextCtrl* TextCtrl3;
        wxTextCtrl* TextCtrl10;
        wxBoxSizer* BoxSizer3;
        wxStaticBoxSizer* StaticBoxSizer7;
        wxTextCtrl* TextCtrl9;
        wxStaticBoxSizer* StaticBoxSizer5;
        wxStaticBoxSizer* StaticBoxSizer12;
        wxButton* Button4;
        wxButton* Button1;
        wxButton* Button2;
        wxButton* Button3;
        wxBoxSizer* BoxSizer2;
        wxStaticBoxSizer* StaticBoxSizer16;
        wxStaticBoxSizer* StaticBoxSizer3;
        wxTextCtrl* TextCtrl5;
        wxBoxSizer* BoxSizer9;
        wxStaticBoxSizer* StaticBoxSizer13;
        wxTextCtrl* TextCtrl12;
        wxStaticBoxSizer* StaticBoxSizer15;
        wxStaticBoxSizer* StaticBoxSizer8;
        wxButton* Button5;
        wxBoxSizer* BoxSizer4;
        wxFileDialog* FileDialog1;
        wxFileDialog* FileDialog2;
        wxStaticBoxSizer* StaticBoxSizer9;
        wxStaticBoxSizer* StaticBoxSizer4;
        wxTextCtrl* TextCtrl6;
        wxStaticBoxSizer* StaticBoxSizer6;
        wxStaticBoxSizer* StaticBoxSizer14;
        wxStaticBoxSizer* StaticBoxSizer18;
        wxTextCtrl* TextCtrl1;
        wxBoxSizer* BoxSizer1;
        wxStaticBoxSizer* StaticBoxSizer11;
        wxTextCtrl* TextCtrl11;
        wxTextCtrl* TextCtrl15;
        wxTextCtrl* TextCtrl8;
        wxTextCtrl* TextCtrl7;
        wxTextCtrl* TextCtrl4;
        wxTextCtrl* TextCtrl2;
        wxBoxSizer* BoxSizer6;
        wxTextCtrl* TextCtrl13;
        wxButton* Button6;
        wxBoxSizer* BoxSizer5;
        wxStaticBoxSizer* StaticBoxSizer1;
        wxTextCtrl* TextCtrl14;
        //*)

        DECLARE_EVENT_TABLE()
};

#endif // DIALOGOSMAIN_H
